com.genesyslab.wfm8.API.service.RTA850

## Class AgentState

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA850.AgentState

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentState
      extends java.lang.Object
      implements java.io.Serializable

  AgentState information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `agentID`
    `protected java.util.List<ChannelState>` | `channelState`
    `protected int` | `channelStateSize`
    `private static long` | `serialVersionUID`
    `protected double` | `stateStart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAgentID()` Gets the value of the agentID property.
    `java.util.List<ChannelState>` | `getChannelState()` Gets the value of the channelState property.
    `int` | `getChannelStateSize()` Gets the value of the channelStateSize property.
    `double` | `getStateStart()` Gets the value of the stateStart property.
    `int` | `hashCode()`
    `void` | `setAgentID(int value)` Sets the value of the agentID property.
    `void` | `setChannelState(java.util.List<ChannelState> value)` Sets the value of the channelState property.
    `void` | `setChannelStateSize(int value)` Sets the value of the channelStateSize property.
    `void` | `setStateStart(double value)` Sets the value of the stateStart property.
    `java.lang.String` | `toString()`
    `AgentState` | `withAgentID(int value)`
    `AgentState` | `withChannelState(ChannelState... values)`
    `AgentState` | `withChannelState(java.util.Collection<ChannelState> values)`
    `AgentState` | `withChannelStateSize(int value)`
    `AgentState` | `withStateStart(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentID

          protected int agentID

    - #### stateStart

          protected double stateStart

    - #### channelStateSize

          protected int channelStateSize

    - #### channelState

          protected java.util.List<ChannelState> channelState

  - ### Constructor Detail

    - #### AgentState

          public AgentState()

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the value of the agentID property.

    - #### setAgentID

          public void setAgentID(int value)

      Sets the value of the agentID property.

    - #### getStateStart

          public double getStateStart()

      Gets the value of the stateStart property.

    - #### setStateStart

          public void setStateStart(double value)

      Sets the value of the stateStart property.

    - #### getChannelStateSize

          public int getChannelStateSize()

      Gets the value of the channelStateSize property.

    - #### setChannelStateSize

          public void setChannelStateSize(int value)

      Sets the value of the channelStateSize property.

    - #### getChannelState

          public java.util.List<ChannelState> getChannelState()

      Gets the value of the channelState property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the channelState property.

      For example, to add a new item, do as follows:

              getChannelState().add(newItem);

      Objects of the following type(s) are allowed in the list `ChannelState`

    - #### setChannelState

          public void setChannelState(java.util.List<ChannelState> value)

      Sets the value of the channelState property.

    - #### withAgentID

          public AgentState withAgentID(int value)

    - #### withStateStart

          public AgentState withStateStart(double value)

    - #### withChannelStateSize

          public AgentState withChannelStateSize(int value)

    - #### withChannelState

          public AgentState withChannelState(ChannelState... values)

    - #### withChannelState

          public AgentState withChannelState(java.util.Collection<ChannelState> values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.